Attribute VB_Name = "formletter2pdf"
' **********************************************************************************************
' formletter2pdf
'
' Copyright 2013 Christian Bartl (www.formletter2pdf.com)
'
' Licensed under the Apache License, Version 2.0 (the "License");
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
'
' http://www.apache.org/licenses/LICENSE-2.0
'
' Unless required by applicable law or agreed to in writing, software
' distributed under the License is distributed on an "AS IS" BASIS,
' WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
' See the License for the specific language governing permissions and
' limitations under the License.
'
' This notice must appear in all copies of the script.
' **********************************************************************************************

Public DefaultFiletype As String
Public DefaultFilelocation As String
Public DefaultFoldername As String
Public DefaultFilenamepattern As String

Global StorageFiletype As String
Global StorageFilelocation As String
Global StorageFoldername As String
Global StorageFilenamepattern As String


Sub formletter2pdf()
    
    '
    ' define default values
    '

        ' required; "pdf", "docx", "PDF/A (ISO 19005-1-compatible, .pdf)", "Word 97-2003 Document (.doc)", "Single File Web Page (.mht)", "Web Page, Filtered (.htm)", "Rich Text Format (.rte)", "Plain Text (.txt)"
        ' notes: "PDF/A (ISO 19005-1-compatible, .pdf)" is only available on Office for Windows
    DefaultFiletype = "pdf"
        
        ' optional; File location can be 'Desktop' or a full path (e.g. D:\Foldername) without trailing slash, where the folder with the generated files will be stored.
    DefaultFilelocation = "Desktop"
    
        ' optional; Use the {%timestamp%} marker in the folder name to prevent overwriting if formletter2pdf is executed multiple times.
    DefaultFoldername = "formletter-{%timestamp%}"
    
        ' optional; Make sure to create unique file names by including the values of your data source fields like {field_name} or a generic counter {%counter%}. The file name of the word document can be included via {%filename%}.
    DefaultFilenamepattern = "{%counter%}-formletter-{last_name}-{ID}"
    
    
    
    '
    ' test if document is a formletter and view form
    '
    
    Dim MailMergeState As Object
    
    Set MailMergeState = ActiveDocument.MailMerge
    If MailMergeState.State = wdMainAndDataSource Then
        formletter2pdf_form.Show
    Else
        MsgBox "formletter2pdf cannot be executed because this document isn't a form letter. Please start the mail merge function first and then run formletter2pdf again.", vbOKOnly + vbCritical
    End If
    
End Sub
